Requires read_page access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20261201/store/page/customize/count.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Query the number of custom pages
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
  • reqobject
    Request parameters
  • created_at_min string
    Show pages created after this date , format yyyy-MM-dd HH : mm : ss
    Example: 2022-12-27 17:17:02
  • published_at_max string
    Show pages posted before this date
    Example: 2022-12-27 17:17:02
  • published_at_min string
    Show pages posted after this date
    Example: 2022-12-27 17:17:02
  • published_status string
    Posting , optional value or not : any ( all ) ; published ( released ) ; unpublished ( not released )
    Example: any
  • title string
    Title of custom page
    Example: demo-page
  • updated_at_max string
    Show pages updated before this date , format yyyy-MM-dd HH : mm : ss
    Example: 2022-12-27 17:17:02
  • updated_at_min string
    Show updated pages after this date , format yyyy-MM-dd HH : mm : ss
    Example: 2022-12-27 17:17:02
  • created_at_max string
    Show pages created before this date , format yyyy-MM-dd HH : mm : ss
    Example: 2022-12-27 17:17:02
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • dataobject
    data
  • count long
    Number of filter conditions
    Example: 100
  • msg string
    Error message
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

header required

Body

required
{
  "req": {
    "published_at_min": "2022-12-27 17:17:02",
    "published_status": "any",
    "title": "demo-page",
    "updated_at_max": "2022-12-27 17:17:02",
    "updated_at_min": "2022-12-27 17:17:02",
    "created_at_max": "2022-12-27 17:17:02",
    "created_at_min": "2022-12-27 17:17:02",
    "published_at_max": "2022-12-27 17:17:02"
  }
}

Language

curl --request POST \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/store/page/customize/count.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Specify create time range
Request
{
"req": {
"created_at_max": "2023-09-11 15:10:23.312",
"created_at_min": "2022-08-26 14:29:55.000"
}
}
Response
{
"data": {
"count": 2
},
"msg": "success"
}
Was this article helpful to you?